(ns document-storage.postgres.encoding
  (:require [cognitect.transit :as transit])
  (:import [java.io ByteArrayInputStream ByteArrayOutputStream]))

(defn encode-document [document]
  (let [out (ByteArrayOutputStream.)
        writer (transit/writer out :json)]
    (transit/write writer document)
    (.toString out)))

(defn decode-document [datastring]
  (let [in (ByteArrayInputStream. (.getBytes datastring))
        reader (transit/reader in :json)]
    (transit/read reader)))
